## org.firebirdsql.jdbc.field
Class FBBlobField

    java.lang.Object
      org.firebirdsql.jdbc.field.FBField
          org.firebirdsql.jdbc.field.FBBlobField

All Implemented Interfaces:
  FBFlushableField

Direct Known Subclasses:
  FBCachedBlobField

    public class FBBlobField

extends FBField
implements FBFlushableField

Describe class `FBBlobField` here.

Version:
  1.0
Author:
  Roman Rokytskyy

Field Summary

Fields inherited from class org.firebirdsql.jdbc.field.FBField
`field, gdsHelper, iscEncoding, javaEncoding, mappingPath, numCol, requiredType, scale`

Method Summary
`void` `close()` Close this field.
`void` `flushCachedData()` Flush cached data to the database server.
`InputStream` `getAsciiStream()`
`InputStream` `getBinaryStream()`
`Blob` `getBlob()`
`byte[]` `getBytes()`
`byte[]` `getBytesInternal()`
`byte[]` `getCachedObject()` Get cached object.
`String` `getString()`
`InputStream` `getUnicodeStream()`
`void` `setAsciiStream(InputStream in, int length)`
`void` `setBinaryStream(InputStream in, int length)`
`void` `setBlob(FBBlob blob)`
`void` `setBytes(byte[] value)`
`void` `setCharacterStream(Reader in, int length)`
`void` `setNull()`
`void` `setString(String value)`
`void` `setUnicodeStream(InputStream in, int length)`

Methods inherited from class org.firebirdsql.jdbc.field.FBField

`createField, getAlias, getArray, getBigDecimal, getBigDecimal, getBoolean, getByte, getCharacterStream, getClob, getDate, getDate, getDouble, getFieldData, getFloat, getInt, getLong, getName, getObject, getObject, getRef, getRelationName, getShort, getTime, getTime, getTimestamp, getTimestamp, isCompatible, isInvertTimeZone, isNull, isType, setBigDecimal, setBoolean, setByte, setConnection, setDate, setDate, setDouble, setFieldData, setFloat, setInteger, setLong, setObject, setRequiredType, setShort, setTime, setTime, setTimestamp, setTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws SQLException

  Description copied from class: `FBField`
  Close this field. This method tells field implementation to release all resources allocated when field methods were called.

  Overrides:
    `close` in class `FBField`
  Throws:
    `SQLException` - if field cannot be closed.

### getBlob

    public Blob getBlob()
                 throws SQLException

  Overrides:
    `getBlob` in class `FBField`
  Throws:
    `SQLException`

### getAsciiStream

    public InputStream getAsciiStream()
                               throws SQLException

  Overrides:
    `getAsciiStream` in class `FBField`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream()
                                throws SQLException

  Overrides:
    `getBinaryStream` in class `FBField`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes()
                    throws SQLException

  Overrides:
    `getBytes` in class `FBField`
  Throws:
    `SQLException`

### getBytesInternal

    public byte[] getBytesInternal()
                            throws SQLException

  Throws:
    `SQLException`

### getCachedObject

    public byte[] getCachedObject()
                           throws SQLException

  Description copied from interface: `FBFlushableField`
  Get cached object.

  Specified by:
    `getCachedObject` in interface `FBFlushableField`
  Returns:
    cached object of this field.
  Throws:
    `SQLException` - if something went wrong.

### getString

    public String getString()
                     throws SQLException

  Overrides:
    `getString` in class `FBField`
  Throws:
    `SQLException`

### getUnicodeStream

    public InputStream getUnicodeStream()
                                 throws SQLException

  Overrides:
    `getUnicodeStream` in class `FBField`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(InputStream in,
                               int length)
                        throws SQLException

  Overrides:
    `setAsciiStream` in class `FBField`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(Reader in,
                                   int length)
                            throws SQLException

  Overrides:
    `setCharacterStream` in class `FBField`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(InputStream in,
                                int length)
                         throws SQLException

  Overrides:
    `setBinaryStream` in class `FBField`
  Throws:
    `SQLException`

### flushCachedData

    public void flushCachedData()
                         throws SQLException

  Description copied from interface: `FBFlushableField`
  Flush cached data to the database server.

  Specified by:
    `flushCachedData` in interface `FBFlushableField`
  Throws:
    `SQLException` - if something went wrong.

### setBytes

    public void setBytes(byte[] value)
                  throws SQLException

  Overrides:
    `setBytes` in class `FBField`
  Throws:
    `SQLException`

### setString

    public void setString(String value)
                   throws SQLException

  Overrides:
    `setString` in class `FBField`
  Throws:
    `SQLException`

### setUnicodeStream

    public void setUnicodeStream(InputStream in,
                                 int length)
                          throws SQLException

  Overrides:
    `setUnicodeStream` in class `FBField`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(FBBlob blob)
                 throws SQLException

  Overrides:
    `setBlob` in class `FBField`
  Throws:
    `SQLException`

### setNull

    public void setNull()

  Overrides:
    `setNull` in class `FBField`

Copyright © 2001-2010. All Rights Reserved.